Subject: [ehci-orion] ETIMEOUT with ehci_setup()'s ehci_halt()

From: [email-masked] (Andrew Lunn)
Date: Thu, 18 Jun 2015 03:29:38 +0200

> One final update on this topic: the kernel config was missing the
> CONFIG_USB_EHCI_ROOT_HUB_TT option. It turns out that the USB IP embeded a
> Transaction Translator and there is a check in ehci_halt() that aborts the
> routine in case of a Transaction Translator in the ehci controller. The check
> however only works in the above option is enabled.

Maybe it would be worth detecting this and issuing a warning?

      Andrew